KDM(1)

NAME
kdm - KDE Display Manager

SYNOPSIS
kdm [options] [tty]

DESCRIPTION
kdm is the KDE display manager also known as login manager. It shows a graphical login screen for username and password. After authenticating the user it starts a session.
kdm can be configured for remote login via XDMCP. XDMCP is the "X Display Manager Control Protocol" which is used to set up connections between remote systems over the network.

kdm is a derivative of xdm. man 1 xdm may provide useful information (requires installed xdm). For X-related problems try man 7x X and man 1 startx.

OPTIONS

-daemon
    Daemonize even when started by init

-nodaemon
    Don't daemonize even when started from command line

-config file
    Use alternative master configuration file

-xrm res
    Override frontend-specific resource

-error file
    Use alternative log file

-debug num
    Debug option bitfield:
    0x1 - core log
    0x2 - config reader log
    0x4 - greeter log
    0x8 - IPC log
    0x10 - session sub-daemon post-fork delay
    0x20 - config reader post-start delay
    0x40 - greeter post-start delay
    0x80 - don't use syslog
    0x100 - core Xauth log
    0x400 - valgrind config reader and greeter
    0x800 - strace config reader and greeter

FILES

/etc/kde4/kdm/backgroundrc
    configuration file with background settings

/etc/kde4/kdm/kdm.options
    options for X display manager kdm

/etc/kde4/kdm/kdmrc
    the kdm configuration file

/etc/kde4/kdm/Xaccess
    access control file for XDMCP connections

/etc/kde4/kdm/Xreset
    script to run as root after session exits

/etc/kde4/kdm/Xsession
    script to run as user after login of user

/etc/kde4/kdm/Xsetup
    script to run as root before the login dialog appears

    this script can be edited to disable or modify the running of xconsole on the kdm greeter screen

/etc/kde4/kdm/Xstartup
    script to run as root before session starts

/etc/kde4/kdm/Xwilling
    output of this script is displayed in the chooser window

SEE ALSO
kdm.options(5), kdmctl(1), startx(1), X(7x), xconsole(1), xdm(1)

/usr/share/doc/kdm/README.gz
    Information about kdm and its options

Full user documentation is available through the KDE Help Center. You can also enter the URL help:/kdm/ directly into konqueror or you can run khelpcenter help:/kdm/ from the command-line.

AUTHORS
Steffen Hansen <hansen@kde.org>
Thomas Tanghus <tanghus@earthling.net>
Oswald Buddenhagen <ossi@kde.org>
Please use http://bugs.kde.org to report bugs; do not mail the authors directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.